changeset 998:bbcafba8a594

Another bug Wolfgang Denk reported: make BUILD_STATIC=none actually work.
author Rob Landley <rob@landley.net>
date Sun, 14 Mar 2010 01:18:27 -0600
parents 491eec5512dd
children 4bd1bc15a744
files build.sh native-compiler.sh sources/functions.sh
diffstat 3 files changed, 4 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Fri Mar 12 14:29:25 2010 -0600
+++ b/build.sh	Sun Mar 14 01:18:27 2010 -0600
@@ -78,7 +78,7 @@
 then
   rm -rf "$BUILD/root-filesystem-$ARCH.tar.bz2"
 
-  BUILD_STATIC={$BUILD_STATIC:-1} ./native-compiler.sh "$ARCH" || exit 1
+  ./native-compiler.sh "$ARCH" || exit 1
 fi
 
 # Do we need to build the root filesystem?
--- a/native-compiler.sh	Fri Mar 12 14:29:25 2010 -0600
+++ b/native-compiler.sh	Sun Mar 14 01:18:27 2010 -0600
@@ -10,6 +10,8 @@
 
 mkdir -p "$STAGE_DIR/bin" || dienow
 
+STATIC_FLAGS="$STATIC_DEFAULT_FLAGS"
+
 # Build C Library
 
 build_section linux-headers
--- a/sources/functions.sh	Fri Mar 12 14:29:25 2010 -0600
+++ b/sources/functions.sh	Sun Mar 14 01:18:27 2010 -0600
@@ -72,8 +72,8 @@
 
   # Check this here because it could be set in "settings"
 
-  [ ! -z "$BUILD_STATIC" ] && STATIC_FLAGS="--static"
   [ "$BUILD_STATIC" != none ] && STATIC_DEFAULT_FLAGS="--static"
+  [ ! -z "$BUILD_STATIC" ] && STATIC_FLAGS="$STATIC_DEFAULT_FLAGS"
 
   DO_CROSS="CROSS_COMPILE=${ARCH}-"